# dmd.eh

Support for exception handling for EH_DM and EH_WIN32. Generate exception handling tables.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: eh.d

Documentation: https://dlang.org/phobos/dmd_eh.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/eh.d

- `except_gentables`

  #### Declaration

  `Symbol* `except_gentables`();`

  Generate and output scope table.

- `except_fillInEHTable`

  #### Declaration

  `void `except_fillInEHTable`(Symbol* `s`);`

  Initializes the Symbol `s` with the contents of the exception handler table.